Skip to main content
`Ctrl`+`K`

# SNESLineSearchAppendOptionsPrefix

Appends to the prefix used for searching for all `SNESLineSearch` options in the database.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchAppendOptionsPrefix(SNESLineSearch linesearch, const char prefix[])

Logically Collective

## Input Parameters

- linesearch - the `SNESLineSearch` context

- prefix - the prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch()`, `SNESLineSearchSetFromOptions()`, `SNESGetOptionsPrefix()`

## Level

advanced

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages